Package org.apache.sling.scripting.sightly.java.compiler

## Interface JavaImportsAnalyzer

    public interface JavaImportsAnalyzer

The `JavaImportsAnalyzer` allows checking imports in generated HTL Java classes, in order to optimise dependencies.

### Method Summary

All Methods Instance Methods Default Methods
`default boolean` `allowImport​(String importedClass)` Analyses the provided `importedClass` and decides if this class should be an explicit import or not in the generated HTL Java class.

### Method Detail

#### allowImport

    default boolean allowImport​(String importedClass)

Analyses the provided `importedClass` and decides if this class should be an explicit import or not in the generated HTL Java class.

Parameters:
  `importedClass` - the import to analyse
Returns:
  `true` if the import should be declared, `false` otherwise